TARGET = ddplot
TEMPLATE = app
CONFIG += qt release warn_off 

# If the compiler says that some .h files are missing, add the corresponding
# directories here:
#INCLUDEPATH += /usr/include

HEADERS = ddplot.h fformat.h messages.h appwin.h misc.h neighlist.h	\
	pltwin.h rdf.h setatomstyle.h strings.h calcs.h cline.h

SOURCES	= ddplot.cpp fformat.cpp messages.cpp appwin.cpp appwin-func.cpp \
	misc.cpp neighlist.cpp pltwin.cpp pltwin-geom.cpp pltwin-func.cpp rdf.cpp setatomstyle.cpp \
	strings.cpp calcs.cpp cline.cpp

FORMS = ui/dabout.ui ui/dprojvector.ui ui/dscalearrow.ui ui/datomstyle.ui \
        ui/darrowstyle.ui ui/dselectplots.ui ui/danimate.ui ui/dshowplanes.ui \
        ui/darrneighbors.ui ui/dcoordsys.ui ui/dtransform.ui ui/drelaxinfo.ui \
        ui/dscalepos.ui ui/dselectzlayers.ui ui/dnewcutoff.ui


#########################################################################
#  UNIX specific
#------------------------------------------------------------------------
#  This ensures that the application will be compiled as a stand-alone
#  code. The qt library must have been compiled as static using:
#    configure -static
#    make
#    make install
#  ddplot is then about 7MB large. Check that the application really 
#  links statically by:
#    ldd ./ddplot
#########################################################################

unix:static {
  message( "ddplot will be compiled as a stand-alone UNIX application" )
  QMAKE_LIBS_QT =
  QMAKE_LIBS_QT_THREAD =
  LIBS += -L$(QTDIR)/lib -lqt    
}

#########################################################################
#  MAC OS X specific
#########################################################################

mac:RC_FILE = ddplot.icns

mac:static {
  message( "ddplot will be compiled as a stand-alone MAC OS X application" )
  QMAKE_LIBS_QT =
  QMAKE_LIBS_QT_THREAD =
  LIBS += $(QTDIR)/lib/libqt.a -lz -framework Carbon
}

